### Enumeration

# JavaScriptCore TypedArrayType

since: 2.38

#### Declaration

    enum JavaScriptCore.TypedArrayType

#### Description [src]

Possible types of the elements contained in a typed array.

Available since: 2.38

#### Members

`JSC_TYPED_ARRAY_NONE`

  Not a typed array, or type unsupported.

  - Value: `0`
  - Available since: 2.38
`JSC_TYPED_ARRAY_INT8`

  Array elements are 8-bit signed integers (int8_t).

  - Value: `1`
  - Available since: 2.38
`JSC_TYPED_ARRAY_INT16`

  Array elements are 16-bit signed integers (int16_t).

  - Value: `2`
  - Available since: 2.38
`JSC_TYPED_ARRAY_INT32`

  Array elements are 32-bit signed integers (int32_t).

  - Value: `3`
  - Available since: 2.38
`JSC_TYPED_ARRAY_INT64`

  Array elements are 64-bit signed integers (int64_t).

  - Value: `4`
  - Available since: 2.38
`JSC_TYPED_ARRAY_UINT8`

  Array elements are 8-bit unsigned integers (uint8_t).

  - Value: `5`
  - Available since: 2.38
`JSC_TYPED_ARRAY_UINT8_CLAMPED`

  Array elements are 8-bit unsigned integers (uint8_t).

  - Value: `6`
  - Available since: 2.38
`JSC_TYPED_ARRAY_UINT16`

  Array elements are 16-bit unsigned integers (uint16_t).

  - Value: `7`
  - Available since: 2.38
`JSC_TYPED_ARRAY_UINT32`

  Array elements are 32-bit unsigned integers (uint32_t).

  - Value: `8`
  - Available since: 2.38
`JSC_TYPED_ARRAY_UINT64`

  Array elements are 64-bit unsigned integers (uint64_t).

  - Value: `9`
  - Available since: 2.38
`JSC_TYPED_ARRAY_FLOAT32`

  Array elements are 32-bit floating point numbers (float).

  - Value: `10`
  - Available since: 2.38
`JSC_TYPED_ARRAY_FLOAT64`

  Array elements are 64-bit floating point numbers (double).

  - Value: `11`
  - Available since: 2.38